#include <iostream>
#include<vector>
using namespace std;

int main() 
{
  int n,x,y,z,brojac=0;
  cin>>n;
  vector<int>jela;//x
  vector<int>recepti;//y
  vector<int>scenario;//z
  for(int i=0;i<n;i++)
    {
      cin>>x;
      jela.push_back(x);
    }
  for(int i=0;i<n;i++)
    {
      cin>>y;
      recepti.push_back(y);
    }
  for(int i=0;i<n;i++)
    {
      cin>>z;
      scenario.push_back(z);
    }
  for(int a:jela)
    {
      for(int i=0;i<n;i++)
        {
          if(a==recepti.at(i))
          {
            for(int b:scenario)
              {
                if(i+1==b)
                  brojac++;
              }
          }
        }
    }
  cout<<brojac;
    return 0;
}